To stay updated on your favorite discussions, please create an account or log in. Then, click the Bookmark icon to subscribe and receive notifications.

PSB1 search impaired

Ben
Ben W/ Alumni Posts: 664 Cybercrime Crusader

Please note that the "Search" functionality on PSB1 portal is currently not able to yield any results. Our teams are working on it. 

 

 

Comments

  • tbegayt
    tbegayt W/ Alumni Posts: 2 Security Scout

    Good evening,

     

     

    F-Secure Protection Service for Business is not compatible with win 8.1

     

    please update your program.  My clients have upgraded to win 8.1, purchased new pc's and can not reinstall fsecure because of this problem.

     

    Thank you

  • Ben
    Ben W/ Alumni Posts: 664 Cybercrime Crusader

    Hello tbegayt,

     

    Windows 8.1 is among the supported platforms for our PSB product for workstations. 

    See the product page.

    Supported platforms

    Workstation Security, Management Portal

    Microsoft Windows xp (32 bit), Vista (32/64-bit), Windows 7 (32/64-bit), Windows 8 (32/64-bit), Windows 8.1 (32/64-bit)

     

    What is the error you observe on installation? 

  • tbegayt
    tbegayt W/ Alumni Posts: 2 Security Scout

    Windows does not support this type of software.  My client's subscription expires in June 2015.  She purchased another PC.  I uninstalled and tried to reinstall.  There should not be a problem with FSecure.  The message was a generated pop-up message from win 8.1.  The software is non-compatible with windows version win 8.1

  • Ben
    Ben W/ Alumni Posts: 664 Cybercrime Crusader

    Please open a support ticket so that our support can have a better look at what might be the problem.

This discussion has been closed.